summary refs log tree commit diff
path: root/home/.local/bin/sup
diff options
context:
space:
mode:
authorJune McEnroe <programble@gmail.com>2018-04-03 12:54:48 -0400
committerJune McEnroe <programble@gmail.com>2018-04-03 12:54:48 -0400
commite9834a80ca32c65c8341558ce73c46ff5319e628 (patch)
treec82533852a3b00658cdb8813422abdc0c70bff5c /home/.local/bin/sup
parentHighlight Special as Normal (diff)
downloadsrc-e9834a80ca32c65c8341558ce73c46ff5319e628.tar.gz
src-e9834a80ca32c65c8341558ce73c46ff5319e628.zip
Move home bins to ~/.local/bin
Also replaced ~/.cargo/bin with a symlink to ~/.local/bin to avoid
having to have that in $path as well.
Diffstat (limited to 'home/.local/bin/sup')
-rwxr-xr-xhome/.local/bin/sup8
1 files changed, 8 insertions, 0 deletions
diff --git a/home/.local/bin/sup b/home/.local/bin/sup
new file mode 100755
index 00000000..22f2b85e
--- /dev/null
+++ b/home/.local/bin/sup
@@ -0,0 +1,8 @@
+#!/usr/bin/env zsh
+set -o errexit -o nounset -o pipefail
+
+dir=$(mktemp -d)
+screencapture -i "$dir/capture.png"
+pngo "$dir/capture.png"
+up "$dir/capture.png"
+rm -r "$dir"
7?h=1.0&id=ed05845371100944e7c4fe69241beda1d0a086bc&follow=1'>Add capsicum note to READMEJune McEnroe 2019-11-10Filter extended-joinJune McEnroe 2019-11-10Expand client configuration documentation and list capabilitiesJune McEnroe 2019-11-10Request all supported caps from serverJune McEnroe 2019-11-10Filter ACCOUNT, AWAY, CHGHOST for incapable clientsJune McEnroe 2019-11-10Rename listen to localJune McEnroe 2019-11-09Remove extended-join and invite-notifyJune McEnroe 2019-11-09Maintain stateCaps and offer them to clientsJune McEnroe 2019-11-09Parse capabilitiesJune McEnroe 2019-11-09Avoid the reserved _A names with BIT macroJune McEnroe 2019-11-09Define macro for bit flag enumsJune McEnroe 2019-11-08Check that password is hashedJune McEnroe 2019-11-08Avoid calling getopt_long again after it returns -1June McEnroe 2019-11-08Only change AWAY status for registered clientsJune McEnroe 2019-11-07Just write the example normallyJune McEnroe 2019-11-07Include path in readlinkat errorJune McEnroe 2019-11-07Call clientConsume before clientRecvJune McEnroe 2019-11-06Use -l:filename in Linux.mkJune McEnroe 2019-11-06Fix compat.h for #defined strlcpyJune McEnroe 2019-11-06Allow unsetting LIBRESSL_PREFIXJune McEnroe 2019-11-06Document calico service configurationJune McEnroe 2019-11-06Document SASL EXTERNAL configuration in more detailJune McEnroe 2019-11-06Document pounce service configurationJune McEnroe 2019-11-06Mention Darwin and GNU/Linux in READMEJune McEnroe 2019-11-06Assume LibreSSL from brew on DarwinJune McEnroe 2019-11-06Remove -DNO_EXPLICIT_BZERO from Darwin.mkJune McEnroe 2019-11-06Don't install rc scripts or dirs on LinuxJune McEnroe